Name:           qtoctave
Version:        0.8.1
Release:        0.20080823.svn165%{?dist}
Summary:        Frontend for Octave

Group:          Applications/Engineering
License:        GPLv2
URL:            http://qtoctave.wordpress.com/
# The source for this package was checked out from svn trunk.
# Use the following command to generate the tarball:
#  svn checkout https://forja.rediris.es/svn/csl-qtoctave/trunk/qtoctave
#  tar -czvf qtoctave-0.8.1-20080823.svn165.tar.gz qtoctave
Source0:        %{name}-%{version}-20080823.svn165.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel, octave-devel
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  cmake
Requires:       octave

%description
QtOctave is a frontend for Octave based on Qt4.

%prep
%setup -q -n %{name}
dos2unix readme.txt
for SVNDIR in $(find . -type d -name .svn)
   do rm -rf $SVNDIR 
done
find src/ -type f -exec chmod a-x {} \;


%build
%cmake -DCMAKE_C_FLAGS_RELEASE:STRING="-DNDEBUG"        \
       -DCMAKE_CXX_FLAGS_RELEASE:STRING="-DQT_NO_DEBUG" \
       -DCMAKE_SKIP_RPATH:STRING="ON"                   \
       .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications \
                     --vendor "fedora" \
                     --delete-original \
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc readme.txt news.txt leeme.txt LICENSE_GPL.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Thu Aug 14 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.8.1-0.20080823.svn165
- bump to svn version pre 0.8.1
- fixes on icon and desktop file

* Sat May 24 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.4-3
- fixed SOURCE1 setup

* Mon May 12 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.4-2
- new GPLv2 icon

* Thu May 01 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.4-1
- update to 0.7.4
- removed autodetected qt4 requirement
- changed cmake options to avoid rpaths
- fixed wrong permissions in the source tree

* Mon Apr 07 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.3-3.fc8
- deleted useless post and postun scripts
- fixed issues in install section
- fixed wrong compilation flags
- license is GPLv2

* Sun Mar 30 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.3-2.fc8
- sync with 0.7.3 package released on official blog
- fixed silly errors with cmake macro

* Tue Mar 25 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.3-1.139.20080425svn.fc8
- Update to svn version 0.7.3
- Bump to cmake

* Sun Mar 23 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.1-1.fc8
- First release
